Public Class frmMySqlConfigEdit

    Friend vInserindo As Boolean = True
    Friend vNomeAnterior As String = String.Empty
    Friend vKeyValue As String = String.Empty


#Region "Propriedades"

    Private Sub frmMySqlConfigNew_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        Try

            CenterFormByOwner(Me, Owner)

            If vInserindo Then
                Text = "Nova Conexão"
                txtNome.Text = "NovaConexão"
            Else
                Text = "Renomear Conexão"
                txtNome.Text = vNomeAnterior
            End If

        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try


    End Sub

    Private Sub btConfirmar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btConfirmar.Click

        Try

            If PerfilExiste(Me.txtNome.Text) Then
                MessageBox.Show("Já existe um perfil com este nome! ", "Aviso", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
                txtNome.Focus()
                txtNome.SelectAll()
            Else
                If vInserindo Then
                    frmMySqlConfig.InserirPerfil(Me.txtNome.Text.Trim)
                Else
                    frmMySqlConfig.RenomearPerfil(Me.vNomeAnterior, txtNome.Text.Trim)
                End If

                Close()
            End If

        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub btCancelar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btCancelar.Click


        Try


            Close()

        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub frmMySqlConfigNew_FormClosed(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed

        Try

            Owner.BringToFront()
            Dispose()

        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

#End Region

#Region "Métodos"

    Private Function PerfilExiste(ByVal pPerfil As String) As Boolean

        Dim RegReader As Microsoft.Win32.RegistryKey = Microsoft.Win32.Registry.CurrentUser.OpenSubKey(vKeyValue & "conexoes", False)

        Try

            If Not RegReader Is Nothing Then
                For Each pItem As String In RegReader.GetValueNames
                    If pItem = txtNome.Text Then
                        Return True
                        Exit For
                    End If
                Next
            End If

            Return False

        Catch ex As Exception
            Return False
        End Try

    End Function

#End Region

End Class